php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #38129 Configure fails when using IBM's V2.0 webserver
Submitted: 2006-07-18 09:50 UTC Modified: 2018-06-13 15:18 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: j dot lammerts at chello dot nl Assigned:
Status: Open Package: *General Issues
PHP Version: 5.1.4 OS: AIX 5
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2006-07-18 09:50 UTC] j dot lammerts at chello dot nl
Description:
------------
Normally, when IBMIHS v 2.0(.47.1) is installed, the systemwide variable LIBPATH is NOT changed.
Somewhere in the ./configure stage, the version of the webserver is tested (httpd -v). On AIX, when LIBPATH is not set, this fails

Reproduce code:
---------------
Calling httpd -v with the LIBPATH variable NOT set to the installationpath of IBMIHS/lib, produces this error :

exec(): 0509-036 Cannot load program /usr/IBMIHS/bin/httpd because of the following errors
:
        0509-150   Dependent module libaprutil-0.so could not be loaded.
        0509-022 Cannot load module libaprutil-0.so.
        0509-026 System error: A file or directory in the path name does not exist.

This error causes the configure script to fail horribly...

Expected result:
----------------
The expected result can be obtained by setting the LIBPATH variable before starting the configure script :

export LIBPATH=$LIBPATH:/usr/IBMIHS/lib
(or set it to wherever the lib directory for this instance of the webserver is located)
(test by calling /usr/IBMIHS/bin/httpd -v....)

Maybe a check for a correct result of the call httpd -v can be incorporated in the configure script. It took me weeks to figure this one out !


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2018-05-05 18:17 UTC] requinix@php.net
-Status: Open +Status: Feedback -Package: Feature/Change Request +Package: *General Issues
 [2018-05-05 18:17 UTC] requinix@php.net
Is this still relevant? Of course IBM HTTP Server is now 9.0 but AIX is still around.
 [2018-06-13 15:18 UTC] j dot lammerts at chello dot nl
-Status: Feedback +Status: Open
 [2018-06-13 15:18 UTC] j dot lammerts at chello dot nl
Yes, this is still relevant.
Just tested it on AIX 6.1 with http 8.5.5.
The problem lies in the fact that whenever you run the httpd executable for whatever reason (in this case httpd -v in the configure script) the required environment variable LIBPATH which should be pointing to wherever httpd is installed, up one directory and the lib, IS NOT SET !!!
So:
If httpd is installed in /usr/IBMIHS85/HTTPServer/bin/httpd,
your LIBPATH environment variable should be LIBPATH=$LIBPATH:/usr/IBMIHS85/HTTPServer/lib

This LIBPATH variable is NOT set to this value, when you're just logged in to compile PHP !
Maybe there is a difference in this between Linux and AIX, but on AIX you need to specify the location of http lib directory for the httpd executable to run ok.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Thu Nov 14 16:01:42 2019 UTC